KColorDialog class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KColorDialog Class Reference

The KColorDialog provides a dialog for color selection. A color selection dialog. More...

`#include <kcolordialog.h>`

Inheritance diagram for KColorDialog:

[legend]
Collaboration diagram for KColorDialog:

[legend]
List of all members.

## Public Slots
void | setColor (const QColor &col)
| Preselects a color.
## Signals
void | colorSelected (const QColor &col)
| Emitted when a color is selected.
## Public Member Functions
| KColorDialog (QWidget *parent=0L, const char *name=0L, bool modal=FALSE)
| Constructs a color selection dialog.
| ~KColorDialog ()
| Destroys the color selection dialog.
QColor | color () const
| Returns the currently selected color.
void | setDefaultColor (const QColor &defaultCol)
| Call this to make the dialog show a "Default Color" checkbox.
QColor | defaultColor () const
## Static Public Member Functions
int | getColor (QColor &theColor, QWidget *parent=0L)
| Creates a modal color dialog, let the user choose a color, and returns when the dialog is closed.
int | getColor (QColor &theColor, const QColor &defaultColor, QWidget *parent=0L)
| Creates a modal color dialog, lets the user choose a color, and returns when the dialog is closed.
QColor | grabColor (const QPoint &p)
| Gets the color from the pixel at point p on the screen.
## Protected Member Functions
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | keyPressEvent (QKeyEvent *)
| Maps some keys to the actions buttons.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The KColorDialog provides a dialog for color selection. A color selection dialog.

Features:

- Colour selection from a wide range of palettes.
- Colour selection from a palette of H vs S and V selectors (similar to windoze).
- Direct input of HSV or RGB values.
- Saving of custom colors

In most cases, you will want to use the static method KColorDialog::getColor(). This pops up the dialog (with an initial selection provided by you), lets the user choose a color, and returns.

Example:

     	QColor myColor;
     	int result = KColorDialog::getColor( myColor );
             if ( result == KColorDialog::Accepted )
                ...

KDE Color Dialog

The color dialog is really a collection of several widgets which can you can also use separately: the quadratic plane in the top left of the dialog is a KXYSelector. Right next to it is a KHSSelector for chosing hue/saturation.

On the right side of the dialog you see a KPaletteTable showing up to 40 colors with a combo box which offers several predefined palettes or a palette configured by the user. The small field showing the currently selected color is a KColorPatch.

Definition at line 405 of file kcolordialog.h.

## Constructor & Destructor Documentation

KColorDialog::KColorDialog | ( | QWidget * | parent = 0L,
|  | const char * | name = 0L,
|  | bool | modal = FALSE
| ) |

| Constructs a color selection dialog.

KColorDialog::~KColorDialog | ( |  | ) |

| Destroys the color selection dialog.

## Member Function Documentation

QColor KColorDialog::color | ( |  | ) | const

| Returns the currently selected color.

int KColorDialog::getColor | ( | QColor & | theColor,
|  | QWidget * | parent = 0L
| ) | `[static]`

| Creates a modal color dialog, let the user choose a color, and returns when the dialog is closed. The selected color is returned in the argument `theColor`. Returns: QDialog::result().

int KColorDialog::getColor | ( | QColor & | theColor,
|  | const QColor & | defaultColor,
|  | QWidget * | parent = 0L
| ) | `[static]`

| Creates a modal color dialog, lets the user choose a color, and returns when the dialog is closed. The selected color is returned in the argument `theColor`. This version takes a `defaultColor` argument, which sets the color selected by the "default color" checkbox. When this checkbox is checked, the invalid color (QColor()) is returned into `theColor`. Returns: QDialog::result().

QColor KColorDialog::grabColor | ( | const QPoint & | p | ) | `[static]`

| Gets the color from the pixel at point p on the screen.

void KColorDialog::setDefaultColor | ( | const QColor & | defaultCol | ) |

| Call this to make the dialog show a "Default Color" checkbox. If this checkbox is selected, the dialog will return an "invalid" color (QColor()). This can be used to mean "the default text color", for instance, the one with the KDE text color on screen, but black when printing.

QColor KColorDialog::defaultColor | ( |  | ) | const

| Returns: the value passed to setDefaultColor

void KColorDialog::setColor | ( | const QColor & | col | ) | `[slot]`

| Preselects a color.

void KColorDialog::colorSelected | ( | const QColor & | col | ) | `[signal]`

| Emitted when a color is selected. Connect to this to monitor the color as it as selected if you are not running modal.

virtual void KColorDialog::keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

| Maps some keys to the actions buttons. F1 is mapped to the Help button if present and Escape to the Cancel or Close if present. The button action event is animated. Reimplemented from KDialogBase.

The documentation for this class was generated from the following file:

- kcolordialog.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:14 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001